CREATE TABLE poll_options(
    post_id NUMBER(19) NOT NULL,
    post_to varchar2(20) NOT NULL,
    text varchar2(1000) NOT NULL,
    vote_count NUMBER(10) NOT NULL ,
    deleted NUMBER(19) not null,
    deleted_at TIMESTAMP WITH TIME ZONE
);

CREATE INDEX poll_options_post_id_post_to ON poll_options(CASE WHEN deleted = 0 THEN post_id END, CASE WHEN deleted = 0 THEN post_to END) ;
